%global modname pycxx

Name:           python-cxx
Version:        6.2.6
Release:        %mkrel 7
Summary:        Write Python extensions in C++
Group:          Development/Python
License:        BSD
URL:            http://cxx.sourceforge.net/
BuildArch:      noarch

Source0:        http://downloads.sourceforge.net/cxx/%{modname}-%{version}.tar.gz
# Patch0:  remove unnecessary 'Src/' directory from include path in sources
Patch0:         %{name}-6.2.4-change-include-paths.patch
# Patch1:  fix several problems with install, esp. omitted files, python
# v2/v3 awareness
Patch1:         %{name}-6.2.6-mga-setup.py.patch
Patch2:         %{name}-6.2.4-python3-syntax-fix.patch

BuildRequires:  pkgconfig(python2)
BuildRequires:  pkgconfig(python3)


%description
PyCXX is a set of classes to help create extensions of Python in the
C++ language. The first part encapsulates the Python C API taking care
of exceptions and ref counting. The second part supports the building
of Python extension modules in C++.

%package devel
Summary:        PyCXX header and source files
Group:          Development/Python
Requires:       python

%description devel
PyCXX is a set of classes to help create extensions of Python in the
C++ language. The first part encapsulates the Python C API taking care
of exceptions and ref counting. The second part supports the building
of Python extension modules in C++.

The %{name}-devel package provides the header and source files
for Python 2.  There is no non-devel package needed.

%package -n python3-cxx-devel
Summary:        PyCXX header and source files
Group:          Development/Python
Requires:       python3

%description -n python3-cxx-devel
PyCXX is a set of classes to help create extensions of Python in the
C++ language. The first part encapsulates the Python C API taking care
of exceptions and ref counting. The second part supports the building
of Python extension modules in C++.

The python3-cxx-devel package provides the header and source files
for Python 3.  There is no non-devel package needed.

%prep
%setup -q -n %{modname}-%{version}
%autopatch -p1

%build
%py2_build
%py3_build

%install
INSTALL='setup.py install
        --root=%{buildroot}
	--prefix=%{_prefix}
	--install-headers=%{_includedir}/CXX
	--install-data=%{_usrsrc}'

%{__python2} $INSTALL
%{__python3} $INSTALL

# Write pkg-config PyCXX.pc file
%__mkdir_p %{buildroot}%{_datadir}/pkgconfig
cat > %{buildroot}%{_datadir}/pkgconfig/PyCXX.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
includedir=%{_includedir}
srcdir=%{_usrsrc}/CXX

Name: PyCXX
Description: Write Python extensions in C++
Version: %{version}
Cflags: -I\${includedir}
EOF

%files devel
%doc README.html COPYRIGHT Doc/Python2/
%dir %{_includedir}/CXX
%{_includedir}/CXX/*.hxx
%{_includedir}/CXX/*.h
%{_includedir}/CXX/Python2
%{python2_sitelib}/CXX*
%dir %{_usrsrc}/CXX
%{_usrsrc}/CXX/*.cxx
%{_usrsrc}/CXX/*.c
%{_usrsrc}/CXX/Python2
%{_datadir}/pkgconfig/PyCXX.pc

%files -n python3-cxx-devel
%doc README.html COPYRIGHT Doc/Python3/
%dir %{_includedir}/CXX
%{_includedir}/CXX/*.hxx
%{_includedir}/CXX/*.h
%{_includedir}/CXX/Python3
%{python3_sitelib}/CXX*
%dir %{_usrsrc}/CXX
%{_usrsrc}/CXX/*.cxx
%{_usrsrc}/CXX/*.c
%{_usrsrc}/CXX/Python3
%{_datadir}/pkgconfig/PyCXX.pc

%check
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion PyCXX)" = "%{version}"




%changelog
* Sun Apr 24 2016 joequant <joequant> 6.2.6-7.mga6
+ Revision: 1005790
- fix group
- fix typo
- fix requires
- fix requires
- fix typo
- add python3

* Sat Feb 20 2016 umeabot <umeabot> 6.2.6-4.mga6
+ Revision: 971531
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 philippem <philippem> 6.2.6-3.mga6
+ Revision: 892038
- fix macros

* Tue Jan 13 2015 shlomif <shlomif> 6.2.6-2.mga5
+ Revision: 810317
- Remove trailing space
- Importing python-cxx (thanks to Richard Houser)

